Name: libICE
Version: 1.0.10
Release: 3
License: curl
Summary: X.Org ICE library
URL: http://x.org

Source0: ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: libxslt

BuildRequires: xorg-x11-proto-devel
BuildRequires: xorg-x11-util-macros
BuildRequires: xorg-x11-xtrans-devel

%description
X.Org ICE library.

%package -n libICE6
Summary: X.Org ICE library.
Conflicts: libICE
Obsoletes: libICE

%description -n libICE6
X.Org ICE library.

%package devel
Summary: Devel package for %{name}
Requires: libICE6 = %{version}-%{release}
Requires: xorg-x11-proto-devel

%description devel
This package contains development libraries and header files.

%prep
%setup -q

%build

export CONFIG_SHELL=%{_bindir}/bash
export CONFIG_ENV_ARGS=%{_bindir}/bash

autoreconf -fiv
%configure \
    CPPFLAGS="-pthread" \
    LDFLAGS="-pthread -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
    --with-aix-soname=svr4 \
    --enable-shared \
    --disable-static \
    #end

%make_build

%check
make check

%install

%make_install

find %{buildroot}/%{_libdir} -name \*.la | xargs rm

%files -n libICE6
%defattr(-, qsys, *none)
%license COPYING
%doc AUTHORS ChangeLog
%{_libdir}/libICE.so.6

%files devel
%defattr(-, qsys, *none)
%{_libdir}/libICE.so
%{_includedir}/X11/ICE/*.h
%{_libdir}/pkgconfig/*.pc
%{_datadir}/doc/libICE

%changelog
* Thu Apr 08 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.0.10
- Obsolete and Conflict old package name provided by qsecofr repo

* Thu Mar 11 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.0.10
- Add missing header file requirements from xorg-x11-proto-devel

* Tue Aug 11 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.0.10
- Initial spec
